> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity

> Get the given entity.



## OpenAPI

````yaml /api/metrics/api/entity.openapi.json get /v1/entities/{entity}
openapi: 3.1.0
info:
  title: Confidence Entity API
  version: 1.0.0
  description: API documentation for entity
servers: []
security: []
paths:
  /v1/entities/{entity}:
    get:
      summary: Get Entity
      description: Get the given entity.
      operationId: Entity.get
      parameters:
        - name: entity
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns a [Entity](/api-reference/schemas/entity).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.metrics.v1.Entity'
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  schemas:
    confidence.metrics.v1.Entity:
      title: Entity
      type: object
      description: Description of a uniquely identifiable entity.
      properties:
        name:
          type: string
          description: |-
            Unique identifier of the entity.
             For example: `entities/0smva5nxuhv4yts6paxt`
        displayName:
          type: string
          description: Human friendly name of the entity.
        primaryKeyType:
          type: string
          enum:
            - COLUMN_TYPE_UNSPECIFIED
            - COLUMN_TYPE_STRING
            - COLUMN_TYPE_INT32
            - COLUMN_TYPE_INT64
            - COLUMN_TYPE_DOUBLE
            - COLUMN_TYPE_BOOLEAN
            - COLUMN_TYPE_DATE
            - COLUMN_TYPE_TIMESTAMP
            - COLUMN_TYPE_BYTES
            - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
            - COLUMN_TYPE_DECIMAL
            - COLUMN_TYPE_HLL_SKETCH
          description: The type of the identifier in the data warehouse storage.
        createTime:
          type: object
          description: Time when the entity was first created.
        updateTime:
          type: object
          description: Time when the entity was last updated.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: Custom labels for this entity.
        creator:
          type: string
          description: Reference to the identity that created this entity.
        updater:
          type: string
          description: Reference to the identity that last updated this entity.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
        defaultAssignmentTable:
          type: string
          description: The default assignment table for this entity.
      required:
        - displayName
        - primaryKeyType
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````